## fribidi-0.10.7.tar.bz2

=== Makefile ===
# Makefile.in generated by automake 1.9.2 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.







SOURCES = $(libfribidi_la_SOURCES) $(fribidi_SOURCES) $(fribidi_benchmark_SOURCES) fribidi_bidi_types.c $(fribidi_create_char_types_SOURCES) $(fribidi_create_mirroring_SOURCES)

srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/fribidi
pkglibdir = $(libdir)/fribidi
pkgincludedir = $(includedir)/fribidi
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
noinst_PROGRAMS = fribidi_benchmark$(EXEEXT) \
	fribidi_create_char_types$(EXEEXT) \
	fribidi_create_mirroring$(EXEEXT) fribidi_bidi_types$(EXEEXT)
bin_PROGRAMS = fribidi$(EXEEXT)
DIST_COMMON = README $(am__configure_deps) $(libfribidiinc_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/config.h.in $(srcdir)/fribidi-config.in \
	$(srcdir)/fribidi.pc.in $(srcdir)/fribidi.spec.in \
	$(srcdir)/fribidi_config.h.in $(top_srcdir)/configure AUTHORS \
	COPYING ChangeLog INSTALL NEWS THANKS TODO acconfig.h \
	config.guess config.sub depcomp install-sh ltmain.sh missing
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = fribidi_config.h fribidi-config fribidi.pc \
	fribidi.spec
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
	"$(DESTDIR)$(bindir)" "$(DESTDIR)$(pkgconfigdir)" \
	"$(DESTDIR)$(libfribidiincdir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
libfribidi_la_DEPENDENCIES =
am__objects_1 = fribidi_char_sets.lo fribidi_char_sets_utf8.lo
am__objects_2 = fribidi_char_sets_cap_rtl.lo \
	fribidi_char_sets_iso8859_6.lo fribidi_char_sets_iso8859_8.lo \
	fribidi_char_sets_cp1255.lo fribidi_char_sets_cp1256.lo \
	fribidi_char_sets_isiri_3342.lo
am_libfribidi_la_OBJECTS = fribidi.lo fribidi_types.lo fribidi_mem.lo \
	fribidi_mirroring.lo fribidi_char_type.lo fribidi_utils.lo \
	wcwidth.lo $(am__objects_1) $(am__objects_2)
libfribidi_la_OBJECTS = $(am_libfribidi_la_OBJECTS)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)
am__objects_3 = getopt.$(OBJEXT) getopt1.$(OBJEXT)
am_fribidi_OBJECTS = fribidi_main.$(OBJEXT) $(am__objects_3)
fribidi_OBJECTS = $(am_fribidi_OBJECTS)
fribidi_DEPENDENCIES = libfribidi.la
am_fribidi_benchmark_OBJECTS = fribidi_benchmark.$(OBJEXT) \
	$(am__objects_3)
fribidi_benchmark_OBJECTS = $(am_fribidi_benchmark_OBJECTS)
fribidi_benchmark_DEPENDENCIES = libfribidi.la
fribidi_bidi_types_SOURCES = fribidi_bidi_types.c
fribidi_bidi_types_OBJECTS = fribidi_bidi_types.$(OBJEXT)
fribidi_bidi_types_DEPENDENCIES = libfribidi.la
am_fribidi_create_char_types_OBJECTS =  \
	fribidi_create_char_types.$(OBJEXT) packtab.$(OBJEXT)
fribidi_create_char_types_OBJECTS =  \
	$(am_fribidi_create_char_types_OBJECTS)
fribidi_create_char_types_LDADD = $(LDADD)
am_fribidi_create_mirroring_OBJECTS =  \
	fribidi_create_mirroring.$(OBJEXT)
fribidi_create_mirroring_OBJECTS =  \
	$(am_fribidi_create_mirroring_OBJECTS)
fribidi_create_mirroring_LDADD = $(LDADD)
binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
SCRIPTS = $(bin_SCRIPTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libfribidi_la_SOURCES) $(fribidi_SOURCES) \
	$(fribidi_benchmark_SOURCES) fribidi_bidi_types.c \
	$(fribidi_create_char_types_SOURCES) \
	$(fribidi_create_mirroring_SOURCES)
DIST_SOURCES = $(libfribidi_la_SOURCES) $(fribidi_SOURCES) \
	$(fribidi_benchmark_SOURCES) fribidi_bidi_types.c \
	$(fribidi_create_char_types_SOURCES) \
	$(fribidi_create_mirroring_SOURCES)
pkgconfigDATA_INSTALL = $(INSTALL_DATA)
DATA = $(pkgconfig_DATA)
libfribidiincHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(libfribidiinc_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/baruch/debian/fribidi/fribidi-0.10.5/missing --run aclocal-1.9
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} /home/baruch/debian/fribidi/fribidi-0.10.5/missing --run tar
AUTOCONF = ${SHELL} /home/baruch/debian/fribidi/fribidi-0.10.5/missing --run autoconf
AUTOHEADER = ${SHELL} /home/baruch/debian/fribidi/fribidi-0.10.5/missing --run autoheader
AUTOMAKE = ${SHELL} /home/baruch/debian/fribidi/fribidi-0.10.5/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2 -Wall  -pedantic  -fno-strict-aliasing 
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
FRIBIDI_BINARY_AGE = 5
FRIBIDI_INTERFACE_AGE = 5
FRIBIDI_INTERFACE_VERSION = 2
FRIBIDI_MAJOR_VERSION = 0
FRIBIDI_MICRO_VERSION = 5
FRIBIDI_MINOR_VERSION = 10
FRIBIDI_NO_CHARSETS = 0
FRIBIDI_RPM_RELEASE = 1
FRIBIDI_VERSION = 0.10.5
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/baruch/debian/fribidi/fribidi-0.10.5/missing --run makeinfo
OBJEXT = o
PACKAGE = fribidi
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 0.10.5
ac_ct_CC = gcc
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/baruch/debian/fribidi/fribidi-0.10.5/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
AUTOMAKE_OPTIONS = gnu 
libfribidi_charsets = \
	fribidi_char_sets.c	\
	fribidi_char_sets_utf8.c

libfribidi_charsets_extra = \
	fribidi_char_sets_cap_rtl.c	\
	fribidi_char_sets_iso8859_6.c	\
	fribidi_char_sets_iso8859_8.c	\
	fribidi_char_sets_cp1255.c	\
	fribidi_char_sets_cp1256.c	\
	fribidi_char_sets_isiri_3342.c

libfribidi_charsets_h = \
	fribidi_char_sets.h	\
	fribidi_char_sets.i	\
	fribidi_char_sets_utf8.h

libfribidi_charsets_extra_h = \
	fribidi_char_sets_cap_rtl.h	\
	fribidi_char_sets_cp1255.h	\
	fribidi_char_sets_cp1256.h	\
	fribidi_char_sets_isiri_3342.h	\
	fribidi_char_sets_iso8859_6.h	\
	fribidi_char_sets_iso8859_8.h

libfribidi_extra_h = 
lib_LTLIBRARIES = libfribidi.la
libfribidi_la_SOURCES = \
	fribidi.c	\
	fribidi_types.c		\
	fribidi_mem.c	\
	fribidi_mirroring.c	\
	fribidi_char_type.c	\
	fribidi_utils.c	\
	wcwidth.c	\
	$(libfribidi_charsets)	\
	$(libfribidi_charsets_extra)

libfribidi_la_LIBADD = 
libfribidiincdir = $(includedir)/fribidi
libfribidiinc_HEADERS = \
	fribidi.h	\
	fribidi_types.h	\
	fribidi_types.i	\
	fribidi_unicode.h	\
	$(libfribidi_charsets_h)	\
	$(libfribidi_charsets_extra_h)	\
	fribidi_config.h	\
	fribidi_mem.h

GETOPT_SRC = \
	getopt.c	\
	getopt1.c

GETOPT_HDR = \
	getopt.h	\
	getopt_int.h	\
	gettext.h

TEST_FILES = \
	tests/test_CapRTL_explicit.input	\
	tests/test_CapRTL_explicit.reference	\
	tests/test_CapRTL_implicit.input	\
	tests/test_CapRTL_implicit.reference	\
	tests/test_ISO8859-8_hebrew.input	\
	tests/test_ISO8859-8_hebrew.reference	\
	tests/test_UTF-8_persian.input	\
	tests/test_UTF-8_persian.reference

TABLE_FILES = \
	fribidi_tab_mirroring.i	\
	fribidi_tab_char_type_2.i	\
	fribidi_tab_char_type_9.i

UNIDATA_FILES = \
	unidata/README	\
	unidata/UnicodeData.txt	\
	unidata/BidiMirroring.txt

OTHER_FILES = \
	wcwidth.i

EXTRA_HEADERS = \
	packtab.h	\
	$(libfribidi_extra_h)	\
	$(GETOPT_HDR)

EXTRA_DIST = \
	bootstrap \
	run.tests	\
	acinclude.m4	\
	fribidi_config.h.in	\
	fribidi.pc.in	\
	fribidi.spec.in	\
	fribidi.spec	\
	$(TEST_FILES)	\
	$(TABLE_FILES)	\
	$(UNIDATA_FILES)	\
	$(OTHER_FILES)	\
	$(EXTRA_HEADERS)

fribidi_benchmark_SOURCES = fribidi_benchmark.c $(GETOPT_SRC)
fribidi_benchmark_LDADD = libfribidi.la
fribidi_bidi_types_LDADD = libfribidi.la
fribidi_create_char_types_SOURCES = fribidi_create_char_types.c packtab.c
fribidi_create_mirroring_SOURCES = fribidi_create_mirroring.c
fribidi_SOURCES = fribidi_main.c $(GETOPT_SRC)
fribidi_LDADD = libfribidi.la
TESTS = run.tests
bin_SCRIPTS = fribidi-config
pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = fribidi.pc
CLEANFILES = 
DISTCLEANFILES = fribidi_tab_char_type_stamp
MAINTAINERCLEANFILES = \
		$(srcdir)/INSTALL \
		$(srcdir)/aclocal.m4 \
		$(srcdir)/autoscan.log \
		$(srcdir)/compile \
		$(srcdir)/config.guess \
		$(srcdir)/config.h.in \
		$(srcdir)/config.sub \
		$(srcdir)/configure.scan \
		$(srcdir)/depcomp \
		$(srcdir)/install-sh \
		$(srcdir)/ltmain.sh \
		$(srcdir)/missing \
		`find "$(srcdir)" -type f -name Makefile.in -print` \
		`find "$(srcdir)" -type f -name "*~" -print`

all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
	cd $(top_srcdir) && \

=== debian/changelog ===
fribidi (0.10.7-4) unstable; urgency=low

  * Fix manual page name section (Closes: #368632)
  * debian/control: Upgrade standards version to 3.7.2 (no changes needed).
  * debian/copyright: Update Dov Grobgeld's contact address.

 -- Lior Kaplan <kaplan@debian.org>  Sat, 16 Sep 2006 10:37:10 +0300

fribidi (0.10.7-3) unstable; urgency=low

  [ Lior Kaplan ]
  * Apply patch from Frans Pop on debian/{rules,control} to better handle udeb
    package in the shlibs file (Closes: #356260)

  [ Baruch Even ]
  * Update watch file to use www.fribidi.org instead of fribidi.org, the later
    seems to be malfunctioning.

 -- Lior Kaplan <kaplan@debian.org>  Tue, 14 Mar 2006 23:21:06 +0200

fribidi (0.10.7-2) unstable; urgency=low

  * Update watch file (Closes: #354354)
  * Use -V option to dh_makeshlibs to automatically update the shlibs file of
    the package. So far upstream doesn't use so numbering and we have to
    resort to this hack.

 -- Baruch Even <baruch@debian.org>  Sun, 26 Feb 2006 19:01:46 +0000

fribidi (0.10.7-1) unstable; urgency=low

  * New upstream release
  * Update link to homepage.
  * Update libtool/automake/autoconf scripts
  * Update shlibs to force builders to depend on the latest version

 -- Baruch Even <baruch@debian.org>  Thu, 24 Nov 2005 20:38:11 +0000

fribidi (0.10.5-4) unstable; urgency=low

  * Tighten shlibs again (Closes: #327368, #324397)
  * Update DH compat to 4

 -- Baruch Even <baruch@debian.org>  Sat, 10 Sep 2005 17:16:24 +0100

fribidi (0.10.5-3) unstable; urgency=low

  * Change maintainership to be the Debian-Hebrew group.
  * Add Lior Kaplan as uploader.
  * Change standards-version to 3.6.2, no changes needed.

 -- Baruch Even <baruch@debian.org>  Thu, 28 Jul 2005 10:47:14 +0100

fribidi (0.10.5-2) unstable; urgency=low

  * Compile with -Os -fomit-frame-pointer to reduce size of udeb
    (Closes: #314379)

 -- Baruch Even <baruch@debian.org>  Fri, 17 Jun 2005 11:03:25 +0100

fribidi (0.10.5-1) unstable; urgency=low

  * New upstream version

 -- Baruch Even <baruch@debian.org>  Thu,  9 Jun 2005 21:08:31 +0100

fribidi (0.10.4-6) unstable; urgency=low

  * The shlibs file in 0.10.4-5 pointed to use fribidi 0.10.5 which is a bug.
    (Closes: #278616)

 -- Baruch Even <baruch@debian.org>  Thu, 28 Oct 2004 13:04:35 +0100

fribidi (0.10.4-5) unstable; urgency=low

  * Fixed a portability issue in fribidi where the uint32 type it used was
    really just unsigned long and this fails miserably on 64 bit machines.
    This bug was exposed by geresh test program for fribidi on ia64 and alpha
    machines.
    - Now using standard glibc headers to provide uint32 type and similar size
      mandataed types.
    - Added a test program in build stage to make sure we don't have this
      problem again.
  * Upped the version required in the Build-Dep so that others will use the
    fixed version (the above changed ABI on 64 bit machines).

 -- Baruch Even <baruch@debian.org>  Mon, 25 Oct 2004 07:42:00 +0100

fribidi (0.10.4-4) unstable; urgency=low

  * Change the FriBidi homepage in the description. Closes: #275900, #275902
  * Change the FriBidi homepage in the copyright file.
  * Remove dependency on automake and libtool, it's unneeded.
  * Updated watch file.
  * Added fribidi-config manpage. Closes: #190549
  * Add shlibs file so other packages will have the correct dependency.
    Closes: #158886, #183540, #228776

 -- Baruch Even <baruch@debian.org>  Mon, 11 Oct 2004 05:15:23 +0100

fribidi (0.10.4-3) unstable; urgency=low

  * Change -dev package to section libdevel, the override said so.

 -- Baruch Even <baruch@debian.org>  Mon,  7 Jun 2004 08:38:59 +0300

fribidi (0.10.4-2) unstable; urgency=low

  * Move the files in the udeb from /usr/lib to /lib, needed for library
    reduction to work properly (God knows why). Thanks to Steve Langasek.
    Closes: #252958

 -- Baruch Even <baruch@debian.org>  Sun,  6 Jun 2004 21:00:04 +0300

fribidi (0.10.4-1.1) unstable; urgency=low

  * NMU.
  * Produce libfribidi-udeb for debian Installer.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 27 Mar 2004 21:17:09 +0000

fribidi (0.10.4-1) unstable; urgency=low

  * New maintainer (Closes: bug#188662)
  * Moved dh_installdeb near the end so that postrm/postinst will be installed
    correctly.
  * Add manpage for fribidi (Closes: bug#174817)
  * Move pkgconfig files to -dev package (Closes: bug#186158)

 -- Baruch Even <baruch@debian.org>  Sat, 19 Apr 2003 17:32:26 +0300

fribidi (0.10.4-0.1) unstable; urgency=low

  * NMU.
  * New upstream release - closes: #156879, #157807

 -- Masayuki Hatta <mhatta@debian.org>  Thu, 29 Aug 2002 09:56:48 +0900

fribidi (0.10.1-2) unstable; urgency=low

  * Removed Depends, Build-Depends which don't be needed anymore.
    (Closes: #136889)

 -- Changwoo Ryu <cwryu@debian.org>  Thu,  7 Mar 2002 12:10:23 +0900

fribidi (0.10.1-1) unstable; urgency=low

  * New upstream release

 -- Changwoo Ryu <cwryu@debian.org>  Fri,  8 Feb 2002 22:30:34 +0900

fribidi (0.9.0-4) unstable; urgency=high

  * Rebuild with glib 1.3.12. (Closes: #128539)

 -- Changwoo Ryu <cwryu@debian.org>  Thu, 10 Jan 2002 16:54:19 +0900

fribidi (0.9.0-3) unstable; urgency=low

  * Rebuilt with glib 1.3.11.

 -- Changwoo Ryu <cwryu@debian.org>  Sun,  2 Dec 2001 00:55:38 +0900

fribidi (0.9.0-2) unstable; urgency=high

  * Added libglib1.2-dev to the Build-Depends (Closes: #117224).

 -- Changwoo Ryu <cwryu@debian.org>  Mon, 26 Nov 2001 03:57:04 +0900

fribidi (0.9.0-1) unstable; urgency=low

  * New upstream release.  (Closes: #113299)

 -- Changwoo Ryu <cwryu@debian.org>  Mon, 24 Sep 2001 10:51:47 +0900

fribidi (0.1.12-1) unstable; urgency=low

  * Initial Release.

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 22 Aug 2000 02:13:16 +0900

=== debian/control ===
Source: fribidi
Section: libs
Priority: optional
Maintainer: Debian Hebrew Packaging Team <debian-hebrew-package@lists.alioth.debian.org>
Uploaders: Baruch Even <baruch@debian.org>, Lior Kaplan <kaplan@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>> 5.0.22), pkg-config

Package: libfribidi0
Architecture: any
Depends: ${shlibs:Depends}
Description: Free Implementation of the Unicode BiDi algorithm
 FriBiDi is a BiDi algorithm implementation for Hebrew and/or Arabic
 languages.
 .
 Upstream: http://www.fribidi.org/

Package: libfribidi-dev
Architecture: any
Section: libdevel
Depends: libfribidi0 (= ${Source-Version})
Description: Development files for FreeBidi library
 This package contains the header files and static libraries for the
 FriBidi C library.
 .
 Upstream: http://www.fribidi.org/

Package: libfribidi0-udeb
XC-Package-Type: udeb
Architecture: any
Section: debian-installer
Priority: extra
Depends: ${shlibs:Depends}
Description: Free Implementation of the Unicode BiDi algorithm
 This Debian Installer component provided Bidirectional support 
 for Arabic and/or Hebrew languages.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

FRIBIDI_UDEB=libfribidi0-udeb

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
OBJS += xmalloc.o
else
DEB_CFLAGS=-Os -fomit-frame-pointer
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	CFLAGS="${DEB_CFLAGS}" ./configure --prefix=/usr --disable-dependency-tracking
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	$(MAKE)
	$(MAKE) test

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf $(CURDIR)/debian/tmp

	-$(MAKE) clean

	dh_clean config.log config.status

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: 

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot

	dh_movefiles

	dh_installdocs -a
	dh_installman -a
	dh_installchangelogs ChangeLog -a
	mkdir -p debian/$(FRIBIDI_UDEB)/lib
	cp -a debian/libfribidi0/usr/lib/* debian/$(FRIBIDI_UDEB)/lib
	dh_strip -a
	dh_link
	dh_compress
	dh_fixperms
	dh_makeshlibs -V --add-udeb="$(FRIBIDI_UDEB)"
	dh_shlibdeps -Xusr/bin/fribidi
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
